Forum

You are not logged in.

#1 02-07-2018 22:17:21

shkaff
Membre
Registered: 01-02-2016
Posts: 4

Node.js :: npm :: Update available 5.6.0 → 6.1.0

Hello

When I ask nmp for updates then it reports that it is possible to update:

Update available 5.6.0 → 6.1.0    │
   │       Run npm i npm to update

Meanwhile my attempts to update it as proposed fail, so I wonder either it is prohibited somehow at system permissions level or I do it somehow wrong.

Any hints please if it is possible and allowed to update nmp and use the version 6.1?

Many thanks,
Alex

Offline

#2 03-07-2018 08:17:34

@Cyril
Staff
From: Paris
Registered: 06-02-2007
Posts: 5,638
Website

Re: Node.js :: npm :: Update available 5.6.0 → 6.1.0

Hello,

You could change your Node.js version from the administration panel, in Environment > Node.js, to version 10.1.0 for instance, which comes with a more recent npm version.

Offline

#3 03-07-2018 10:27:50

shkaff
Membre
Registered: 01-02-2016
Posts: 4

Re: Node.js :: npm :: Update available 5.6.0 → 6.1.0

Unfortunately the version of node seems to have no influence on the version of npm

~$ node -v
v10.1.0
~$ npm -v
5.6.0

┌──────────────────────────────────────────────────────────┐
│                 npm update check failed
│           Try running with sudo or get access
│           to the local update config store via
│ sudo chown -R $USER:$(id -gn $USER) /home/shkaff/.config
└──────────────────────────────────────────────────────────┘
~$

So I am still on version 5.6 meanwhile it would be good to understand the way to get 6.1

And I am ready to share a good reason to wish that - at least a nice new feature like 'npm audit...' is great allowing to optimise the repository of installed packages and shake it well to get rid of duplicates and outdated modules

Last edited by shkaff (06-07-2018 16:47:16)

Offline

#4 03-07-2018 10:30:38

@Cyril
Staff
From: Paris
Registered: 06-02-2007
Posts: 5,638
Website

Re: Node.js :: npm :: Update available 5.6.0 → 6.1.0

My bad, I thought Node.js 10.1.0 came with a more recent version of npm. We'll add Node.js 10.5.0 very soon (very next days), which actually includes npm 6.1.0.

Offline

Board footer

Powered by FluxBB